<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/common/hpdInitiatorTemplate.xhtml">
            <ui:param name="managedBean" value="#{providerInformationSource}"/>
            <ui:define  name="subviewsForRequests">
                <f:subview id="add" rendered="#{'ADD' == currentReq.requestType}">
                    <ui:include src="/prov_info_src/add.xhtml">
                        <ui:param name="currentRequest" value="#{currentReq}"/>
                    </ui:include>
                </f:subview>
                <f:subview id="del" rendered="#{'DEL' == currentReq.requestType}">
                    <ui:include src="/prov_info_src/del.xhtml">
                        <ui:param name="currentRequest" value="#{currentReq}"/>
                    </ui:include>
                </f:subview>
                <f:subview id="modify" rendered="#{'MODIFY' == currentReq.requestType}">
                    <ui:include src="/prov_info_src/modify.xhtml">
                        <ui:param name="currentRequest" value="#{currentReq}"/>
                    </ui:include>
                </f:subview>
                <f:subview id="moddn" rendered="#{'MODDN' == currentReq.requestType}">
                    <ui:include src="/prov_info_src/modDN.xhtml">
                        <ui:param name="currentRequest" value="#{currentReq}"/>
                    </ui:include>
                </f:subview>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
